Subject: New directory lost by git am

From: Phillip Susi <[email-masked]>
Date: Tue, 04 Mar 2014 21:49:07 -0500

I applied a patch with git am that adds a new source file to a new
directory, and later noticed that file was missing from the commit.
It seems that git am fails to add the new file/directory to the index.